local Base = require "core.modules.world.actors.actor2D"
local Parent = Base:extend()

function Parent:new(world, type, x, y, w, h, isSolid)
  self.scene = world.scene
  Parent.super.new(self, world, type, x, y, w, h, isSolid)
  self.charDir = "down"
  self.charset = self.world.scene.charsetManager
end

function Parent:draw()
  love.graphics.rectangle("fill", math.floor(self.x), math.floor(self.y), self.w, self.h)
end

return Parent
